﻿using System;

namespace Summary
{
    public class PrintableColumn
    {
        public String Name { get; set; }
        public string ValuePath { get; set; }
        public double Width { get; set; }
        public int Precision { get; set; }
        public ColumnType ColumnType { get; set; }
        public HorizontalAlignment DataAlignment { get; set; }
    }

    public enum ColumnType
    {
        Number,
        Text
    }

    public enum HorizontalAlignment
    {
        Left,
        Center,
        Right
    }
}
